function servercmdwhisperhelp(%client)
{
	messageclient(%client, '',"Type /whisper [target] [message] to whisper to someone in the server.");
	messageclient(%client, '',"Admins can type /enablewhisper to enable whispering, or /disablewhisper to disable whispering.");
}

function servercmddisablewhisper(%client)
{
	if(%client.isAdmin)
	{
		if($whisenabled == 0)
		{
			messageclient(%client, '',"\c0Whispering is already disabled!");
		}

		else
		{
			messageall('',"\c0Whispering is now disabled.");
			$whisenabled = 0;
		}
	}

	else
	{
		messageclient(%client, '',"You must be an admin to disable whispering.");
	}
}

function servercmdenablewhisper(%client)
{
	if(%client.isAdmin)
	{
		if($whisenabled == 1)
		{
			messageclient(%client, '',"\c0Whispering is already enabled!");
		}

		else
		{
			messageall('',"<color:00FF00>Whispering is now enabled.");
			$whisenabled = 1;
		}
	}

	else
	{
		messageclient(%client, '',"You must be an admin to enable whispering.");
	}
}

function servercmdwhisper(%client, %name, %a1, %a2, %a3, %a4, %a5, %a6, %a7, %a8, %a9, %a10, %a11, %a12, %a13, %a14, %a15, %a16, %a17, %a18, %a19, %a20, %a21, %a22, %a23, %a24, %a25)
{
	if($whisenabled == 1)
	{
		if(isobject(%target = findclientbyname(%name)))
		{	
			if(%client != %target)
			{
				if(%name != -1)
				{
					%msg = %a1 SPC %a2 SPC %a3 SPC %a4 SPC %a5 SPC %a6 SPC %a7 SPC %a8 SPC %a9 SPC %a10 SPC %a11 SPC %a12 SPC %a13 SPC %a14 SPC %a15 SPC %a16 SPC %a17 SPC %a18 SPC %a19 SPC %a20 SPC %a21 SPC %a22 SPC %a23 SPC %a24 SPC %a25;
					%msg = trim(%msg);
					messageclient(%target, '',"<color:FFFFFF>From " @ %client.name @ ": " @ %msg);
					messageclient(%client, '', "<color:00FF00>" @ %msg @ "<color:FFFFFF> was sent to " @ %target.name);
				}

				else
				{
					messageclient(%client, '',"Please enter a name to whisper to");
				}
			}

			else
			{
				messageclient(%client, '',"Whispering to yourself has no benefit.");
			}
		}

		else
		{
			messageclient(%client, '',"There are no players in this server with <color:FFFFFF>" @ %name @ " \c0in their name.");
		}
	}	

	else
	{
		messageclient(%client, '',"Whispering is currently disabled.");
	}
}